Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.context.exception
Class ExceptionScopeInstance

    java.lang.Object
      org.jbpm.process.instance.context.AbstractContextInstance
          org.jbpm.process.instance.context.exception.ExceptionScopeInstance

All Implemented Interfaces:
  Serializable, ContextInstance

Direct Known Subclasses:
  CompensationScopeInstance, DefaultExceptionScopeInstance

    public abstract class ExceptionScopeInstance

extends AbstractContextInstance

See Also:
  Serialized Form

Constructor Summary
`ExceptionScopeInstance()`

Method Summary
`String` | `getContextType()`
`ExceptionScope` | `getExceptionScope()`
`abstract void` | `handleException(ExceptionHandler handler, String exception, Object params)`
`void` | `handleException(String exception, Object params)`

Methods inherited from class org.jbpm.process.instance.context.AbstractContextInstance
`getContext, getContextId, getContextInstanceContainer, getProcessInstance, setContextId, setContextInstanceContainer, setProcessInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionScopeInstance

    public ExceptionScopeInstance()

Method Detail

### getContextType

    public String getContextType()

### getExceptionScope

    public ExceptionScope getExceptionScope()

### handleException

    public void handleException(String exception,
                                Object params)

### handleException

    public abstract void handleException(ExceptionHandler handler,
                                         String exception,
                                         Object params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.